"""
Setup script for types-boto3-full.

Copyright 2025 Vlad Emelianov
"""

from pathlib import Path

from setuptools import setup  # type: ignore

LONG_DESCRIPTION = (Path(__file__).parent / "README.md").read_text()

setup(
    name="types-boto3-full",
    version="1.37.14",
    packages=[
        "types_boto3_accessanalyzer",
        "types_boto3_account",
        "types_boto3_acm",
        "types_boto3_acm_pca",
        "types_boto3_amp",
        "types_boto3_amplify",
        "types_boto3_amplifybackend",
        "types_boto3_amplifyuibuilder",
        "types_boto3_apigateway",
        "types_boto3_apigatewaymanagementapi",
        "types_boto3_apigatewayv2",
        "types_boto3_appconfig",
        "types_boto3_appconfigdata",
        "types_boto3_appfabric",
        "types_boto3_appflow",
        "types_boto3_appintegrations",
        "types_boto3_application_autoscaling",
        "types_boto3_application_insights",
        "types_boto3_application_signals",
        "types_boto3_applicationcostprofiler",
        "types_boto3_appmesh",
        "types_boto3_apprunner",
        "types_boto3_appstream",
        "types_boto3_appsync",
        "types_boto3_apptest",
        "types_boto3_arc_zonal_shift",
        "types_boto3_artifact",
        "types_boto3_athena",
        "types_boto3_auditmanager",
        "types_boto3_autoscaling",
        "types_boto3_autoscaling_plans",
        "types_boto3_b2bi",
        "types_boto3_backup",
        "types_boto3_backup_gateway",
        "types_boto3_backupsearch",
        "types_boto3_batch",
        "types_boto3_bcm_data_exports",
        "types_boto3_bcm_pricing_calculator",
        "types_boto3_bedrock",
        "types_boto3_bedrock_agent",
        "types_boto3_bedrock_agent_runtime",
        "types_boto3_bedrock_data_automation",
        "types_boto3_bedrock_data_automation_runtime",
        "types_boto3_bedrock_runtime",
        "types_boto3_billing",
        "types_boto3_billingconductor",
        "types_boto3_braket",
        "types_boto3_budgets",
        "types_boto3_ce",
        "types_boto3_chatbot",
        "types_boto3_chime",
        "types_boto3_chime_sdk_identity",
        "types_boto3_chime_sdk_media_pipelines",
        "types_boto3_chime_sdk_meetings",
        "types_boto3_chime_sdk_messaging",
        "types_boto3_chime_sdk_voice",
        "types_boto3_cleanrooms",
        "types_boto3_cleanroomsml",
        "types_boto3_cloud9",
        "types_boto3_cloudcontrol",
        "types_boto3_clouddirectory",
        "types_boto3_cloudformation",
        "types_boto3_cloudfront",
        "types_boto3_cloudfront_keyvaluestore",
        "types_boto3_cloudhsm",
        "types_boto3_cloudhsmv2",
        "types_boto3_cloudsearch",
        "types_boto3_cloudsearchdomain",
        "types_boto3_cloudtrail",
        "types_boto3_cloudtrail_data",
        "types_boto3_cloudwatch",
        "types_boto3_codeartifact",
        "types_boto3_codebuild",
        "types_boto3_codecatalyst",
        "types_boto3_codecommit",
        "types_boto3_codeconnections",
        "types_boto3_codedeploy",
        "types_boto3_codeguru_reviewer",
        "types_boto3_codeguru_security",
        "types_boto3_codeguruprofiler",
        "types_boto3_codepipeline",
        "types_boto3_codestar_connections",
        "types_boto3_codestar_notifications",
        "types_boto3_cognito_identity",
        "types_boto3_cognito_idp",
        "types_boto3_cognito_sync",
        "types_boto3_comprehend",
        "types_boto3_comprehendmedical",
        "types_boto3_compute_optimizer",
        "types_boto3_config",
        "types_boto3_connect",
        "types_boto3_connect_contact_lens",
        "types_boto3_connectcampaigns",
        "types_boto3_connectcampaignsv2",
        "types_boto3_connectcases",
        "types_boto3_connectparticipant",
        "types_boto3_controlcatalog",
        "types_boto3_controltower",
        "types_boto3_cost_optimization_hub",
        "types_boto3_cur",
        "types_boto3_customer_profiles",
        "types_boto3_databrew",
        "types_boto3_dataexchange",
        "types_boto3_datapipeline",
        "types_boto3_datasync",
        "types_boto3_datazone",
        "types_boto3_dax",
        "types_boto3_deadline",
        "types_boto3_detective",
        "types_boto3_devicefarm",
        "types_boto3_devops_guru",
        "types_boto3_directconnect",
        "types_boto3_discovery",
        "types_boto3_dlm",
        "types_boto3_dms",
        "types_boto3_docdb",
        "types_boto3_docdb_elastic",
        "types_boto3_drs",
        "types_boto3_ds",
        "types_boto3_ds_data",
        "types_boto3_dsql",
        "types_boto3_dynamodb",
        "types_boto3_dynamodbstreams",
        "types_boto3_ebs",
        "types_boto3_ec2",
        "types_boto3_ec2_instance_connect",
        "types_boto3_ecr",
        "types_boto3_ecr_public",
        "types_boto3_ecs",
        "types_boto3_efs",
        "types_boto3_eks",
        "types_boto3_eks_auth",
        "types_boto3_elasticache",
        "types_boto3_elasticbeanstalk",
        "types_boto3_elastictranscoder",
        "types_boto3_elb",
        "types_boto3_elbv2",
        "types_boto3_emr",
        "types_boto3_emr_containers",
        "types_boto3_emr_serverless",
        "types_boto3_entityresolution",
        "types_boto3_es",
        "types_boto3_events",
        "types_boto3_evidently",
        "types_boto3_finspace",
        "types_boto3_finspace_data",
        "types_boto3_firehose",
        "types_boto3_fis",
        "types_boto3_fms",
        "types_boto3_forecast",
        "types_boto3_forecastquery",
        "types_boto3_frauddetector",
        "types_boto3_freetier",
        "types_boto3_fsx",
        "types_boto3_gamelift",
        "types_boto3_gameliftstreams",
        "types_boto3_geo_maps",
        "types_boto3_geo_places",
        "types_boto3_geo_routes",
        "types_boto3_glacier",
        "types_boto3_globalaccelerator",
        "types_boto3_glue",
        "types_boto3_grafana",
        "types_boto3_greengrass",
        "types_boto3_greengrassv2",
        "types_boto3_groundstation",
        "types_boto3_guardduty",
        "types_boto3_health",
        "types_boto3_healthlake",
        "types_boto3_iam",
        "types_boto3_identitystore",
        "types_boto3_imagebuilder",
        "types_boto3_importexport",
        "types_boto3_inspector",
        "types_boto3_inspector_scan",
        "types_boto3_inspector2",
        "types_boto3_internetmonitor",
        "types_boto3_invoicing",
        "types_boto3_iot",
        "types_boto3_iot_data",
        "types_boto3_iot_jobs_data",
        "types_boto3_iot_managed_integrations",
        "types_boto3_iotanalytics",
        "types_boto3_iotdeviceadvisor",
        "types_boto3_iotevents",
        "types_boto3_iotevents_data",
        "types_boto3_iotfleethub",
        "types_boto3_iotfleetwise",
        "types_boto3_iotsecuretunneling",
        "types_boto3_iotsitewise",
        "types_boto3_iotthingsgraph",
        "types_boto3_iottwinmaker",
        "types_boto3_iotwireless",
        "types_boto3_ivs",
        "types_boto3_ivs_realtime",
        "types_boto3_ivschat",
        "types_boto3_kafka",
        "types_boto3_kafkaconnect",
        "types_boto3_kendra",
        "types_boto3_kendra_ranking",
        "types_boto3_keyspaces",
        "types_boto3_kinesis",
        "types_boto3_kinesis_video_archived_media",
        "types_boto3_kinesis_video_media",
        "types_boto3_kinesis_video_signaling",
        "types_boto3_kinesis_video_webrtc_storage",
        "types_boto3_kinesisanalytics",
        "types_boto3_kinesisanalyticsv2",
        "types_boto3_kinesisvideo",
        "types_boto3_kms",
        "types_boto3_lakeformation",
        "types_boto3_lambda",
        "types_boto3_launch_wizard",
        "types_boto3_lex_models",
        "types_boto3_lex_runtime",
        "types_boto3_lexv2_models",
        "types_boto3_lexv2_runtime",
        "types_boto3_license_manager",
        "types_boto3_license_manager_linux_subscriptions",
        "types_boto3_license_manager_user_subscriptions",
        "types_boto3_lightsail",
        "types_boto3_location",
        "types_boto3_logs",
        "types_boto3_lookoutequipment",
        "types_boto3_lookoutmetrics",
        "types_boto3_lookoutvision",
        "types_boto3_m2",
        "types_boto3_machinelearning",
        "types_boto3_macie2",
        "types_boto3_mailmanager",
        "types_boto3_managedblockchain",
        "types_boto3_managedblockchain_query",
        "types_boto3_marketplace_agreement",
        "types_boto3_marketplace_catalog",
        "types_boto3_marketplace_deployment",
        "types_boto3_marketplace_entitlement",
        "types_boto3_marketplace_reporting",
        "types_boto3_marketplacecommerceanalytics",
        "types_boto3_mediaconnect",
        "types_boto3_mediaconvert",
        "types_boto3_medialive",
        "types_boto3_mediapackage",
        "types_boto3_mediapackage_vod",
        "types_boto3_mediapackagev2",
        "types_boto3_mediastore",
        "types_boto3_mediastore_data",
        "types_boto3_mediatailor",
        "types_boto3_medical_imaging",
        "types_boto3_memorydb",
        "types_boto3_meteringmarketplace",
        "types_boto3_mgh",
        "types_boto3_mgn",
        "types_boto3_migration_hub_refactor_spaces",
        "types_boto3_migrationhub_config",
        "types_boto3_migrationhuborchestrator",
        "types_boto3_migrationhubstrategy",
        "types_boto3_mq",
        "types_boto3_mturk",
        "types_boto3_mwaa",
        "types_boto3_neptune",
        "types_boto3_neptune_graph",
        "types_boto3_neptunedata",
        "types_boto3_network_firewall",
        "types_boto3_networkflowmonitor",
        "types_boto3_networkmanager",
        "types_boto3_networkmonitor",
        "types_boto3_notifications",
        "types_boto3_notificationscontacts",
        "types_boto3_oam",
        "types_boto3_observabilityadmin",
        "types_boto3_omics",
        "types_boto3_opensearch",
        "types_boto3_opensearchserverless",
        "types_boto3_opsworks",
        "types_boto3_opsworkscm",
        "types_boto3_organizations",
        "types_boto3_osis",
        "types_boto3_outposts",
        "types_boto3_panorama",
        "types_boto3_partnercentral_selling",
        "types_boto3_payment_cryptography",
        "types_boto3_payment_cryptography_data",
        "types_boto3_pca_connector_ad",
        "types_boto3_pca_connector_scep",
        "types_boto3_pcs",
        "types_boto3_personalize",
        "types_boto3_personalize_events",
        "types_boto3_personalize_runtime",
        "types_boto3_pi",
        "types_boto3_pinpoint",
        "types_boto3_pinpoint_email",
        "types_boto3_pinpoint_sms_voice",
        "types_boto3_pinpoint_sms_voice_v2",
        "types_boto3_pipes",
        "types_boto3_polly",
        "types_boto3_pricing",
        "types_boto3_privatenetworks",
        "types_boto3_proton",
        "types_boto3_qapps",
        "types_boto3_qbusiness",
        "types_boto3_qconnect",
        "types_boto3_qldb",
        "types_boto3_qldb_session",
        "types_boto3_quicksight",
        "types_boto3_ram",
        "types_boto3_rbin",
        "types_boto3_rds",
        "types_boto3_rds_data",
        "types_boto3_redshift",
        "types_boto3_redshift_data",
        "types_boto3_redshift_serverless",
        "types_boto3_rekognition",
        "types_boto3_repostspace",
        "types_boto3_resiliencehub",
        "types_boto3_resource_explorer_2",
        "types_boto3_resource_groups",
        "types_boto3_resourcegroupstaggingapi",
        "types_boto3_robomaker",
        "types_boto3_rolesanywhere",
        "types_boto3_route53",
        "types_boto3_route53_recovery_cluster",
        "types_boto3_route53_recovery_control_config",
        "types_boto3_route53_recovery_readiness",
        "types_boto3_route53domains",
        "types_boto3_route53profiles",
        "types_boto3_route53resolver",
        "types_boto3_rum",
        "types_boto3_s3",
        "types_boto3_s3control",
        "types_boto3_s3outposts",
        "types_boto3_s3tables",
        "types_boto3_sagemaker",
        "types_boto3_sagemaker_a2i_runtime",
        "types_boto3_sagemaker_edge",
        "types_boto3_sagemaker_featurestore_runtime",
        "types_boto3_sagemaker_geospatial",
        "types_boto3_sagemaker_metrics",
        "types_boto3_sagemaker_runtime",
        "types_boto3_savingsplans",
        "types_boto3_scheduler",
        "types_boto3_schemas",
        "types_boto3_sdb",
        "types_boto3_secretsmanager",
        "types_boto3_security_ir",
        "types_boto3_securityhub",
        "types_boto3_securitylake",
        "types_boto3_serverlessrepo",
        "types_boto3_service_quotas",
        "types_boto3_servicecatalog",
        "types_boto3_servicecatalog_appregistry",
        "types_boto3_servicediscovery",
        "types_boto3_ses",
        "types_boto3_sesv2",
        "types_boto3_shield",
        "types_boto3_signer",
        "types_boto3_simspaceweaver",
        "types_boto3_sms",
        "types_boto3_sms_voice",
        "types_boto3_snow_device_management",
        "types_boto3_snowball",
        "types_boto3_sns",
        "types_boto3_socialmessaging",
        "types_boto3_sqs",
        "types_boto3_ssm",
        "types_boto3_ssm_contacts",
        "types_boto3_ssm_incidents",
        "types_boto3_ssm_quicksetup",
        "types_boto3_ssm_sap",
        "types_boto3_sso",
        "types_boto3_sso_admin",
        "types_boto3_sso_oidc",
        "types_boto3_stepfunctions",
        "types_boto3_storagegateway",
        "types_boto3_sts",
        "types_boto3_supplychain",
        "types_boto3_support",
        "types_boto3_support_app",
        "types_boto3_swf",
        "types_boto3_synthetics",
        "types_boto3_taxsettings",
        "types_boto3_textract",
        "types_boto3_timestream_influxdb",
        "types_boto3_timestream_query",
        "types_boto3_timestream_write",
        "types_boto3_tnb",
        "types_boto3_transcribe",
        "types_boto3_transfer",
        "types_boto3_translate",
        "types_boto3_trustedadvisor",
        "types_boto3_verifiedpermissions",
        "types_boto3_voice_id",
        "types_boto3_vpc_lattice",
        "types_boto3_waf",
        "types_boto3_waf_regional",
        "types_boto3_wafv2",
        "types_boto3_wellarchitected",
        "types_boto3_wisdom",
        "types_boto3_workdocs",
        "types_boto3_workmail",
        "types_boto3_workmailmessageflow",
        "types_boto3_workspaces",
        "types_boto3_workspaces_thin_client",
        "types_boto3_workspaces_web",
        "types_boto3_xray",
    ],
    url="https://github.com/youtype/mypy_boto3_builder",
    license="MIT License",
    author="Vlad Emelianov",
    author_email="vlad.emelianov.nz@gmail.com",
    description="All-in-one type annotations for boto3 1.37.14 generated with mypy-boto3-builder 8.10.1",
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: Developers",
        "Environment :: Console",
        "License :: OSI Approved :: MIT License",
        "Natural Language :: English",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "Programming Language :: Python :: 3.12",
        "Programming Language :: Python :: 3.13",
        "Programming Language :: Python :: 3.14",
        "Programming Language :: Python :: 3 :: Only",
        "Programming Language :: Python :: Implementation :: CPython",
        "Typing :: Stubs Only",
    ],
    keywords="boto3 boto3-stubs type-annotations typeshed autocomplete",
    long_description=LONG_DESCRIPTION,
    long_description_content_type="text/markdown",
    package_data={
        "types_boto3_accessanalyzer": ["py.typed", "*.pyi"],
        "types_boto3_account": ["py.typed", "*.pyi"],
        "types_boto3_acm": ["py.typed", "*.pyi"],
        "types_boto3_acm_pca": ["py.typed", "*.pyi"],
        "types_boto3_amp": ["py.typed", "*.pyi"],
        "types_boto3_amplify": ["py.typed", "*.pyi"],
        "types_boto3_amplifybackend": ["py.typed", "*.pyi"],
        "types_boto3_amplifyuibuilder": ["py.typed", "*.pyi"],
        "types_boto3_apigateway": ["py.typed", "*.pyi"],
        "types_boto3_apigatewaymanagementapi": ["py.typed", "*.pyi"],
        "types_boto3_apigatewayv2": ["py.typed", "*.pyi"],
        "types_boto3_appconfig": ["py.typed", "*.pyi"],
        "types_boto3_appconfigdata": ["py.typed", "*.pyi"],
        "types_boto3_appfabric": ["py.typed", "*.pyi"],
        "types_boto3_appflow": ["py.typed", "*.pyi"],
        "types_boto3_appintegrations": ["py.typed", "*.pyi"],
        "types_boto3_application_autoscaling": ["py.typed", "*.pyi"],
        "types_boto3_application_insights": ["py.typed", "*.pyi"],
        "types_boto3_application_signals": ["py.typed", "*.pyi"],
        "types_boto3_applicationcostprofiler": ["py.typed", "*.pyi"],
        "types_boto3_appmesh": ["py.typed", "*.pyi"],
        "types_boto3_apprunner": ["py.typed", "*.pyi"],
        "types_boto3_appstream": ["py.typed", "*.pyi"],
        "types_boto3_appsync": ["py.typed", "*.pyi"],
        "types_boto3_apptest": ["py.typed", "*.pyi"],
        "types_boto3_arc_zonal_shift": ["py.typed", "*.pyi"],
        "types_boto3_artifact": ["py.typed", "*.pyi"],
        "types_boto3_athena": ["py.typed", "*.pyi"],
        "types_boto3_auditmanager": ["py.typed", "*.pyi"],
        "types_boto3_autoscaling": ["py.typed", "*.pyi"],
        "types_boto3_autoscaling_plans": ["py.typed", "*.pyi"],
        "types_boto3_b2bi": ["py.typed", "*.pyi"],
        "types_boto3_backup": ["py.typed", "*.pyi"],
        "types_boto3_backup_gateway": ["py.typed", "*.pyi"],
        "types_boto3_backupsearch": ["py.typed", "*.pyi"],
        "types_boto3_batch": ["py.typed", "*.pyi"],
        "types_boto3_bcm_data_exports": ["py.typed", "*.pyi"],
        "types_boto3_bcm_pricing_calculator": ["py.typed", "*.pyi"],
        "types_boto3_bedrock": ["py.typed", "*.pyi"],
        "types_boto3_bedrock_agent": ["py.typed", "*.pyi"],
        "types_boto3_bedrock_agent_runtime": ["py.typed", "*.pyi"],
        "types_boto3_bedrock_data_automation": ["py.typed", "*.pyi"],
        "types_boto3_bedrock_data_automation_runtime": ["py.typed", "*.pyi"],
        "types_boto3_bedrock_runtime": ["py.typed", "*.pyi"],
        "types_boto3_billing": ["py.typed", "*.pyi"],
        "types_boto3_billingconductor": ["py.typed", "*.pyi"],
        "types_boto3_braket": ["py.typed", "*.pyi"],
        "types_boto3_budgets": ["py.typed", "*.pyi"],
        "types_boto3_ce": ["py.typed", "*.pyi"],
        "types_boto3_chatbot": ["py.typed", "*.pyi"],
        "types_boto3_chime": ["py.typed", "*.pyi"],
        "types_boto3_chime_sdk_identity": ["py.typed", "*.pyi"],
        "types_boto3_chime_sdk_media_pipelines": ["py.typed", "*.pyi"],
        "types_boto3_chime_sdk_meetings": ["py.typed", "*.pyi"],
        "types_boto3_chime_sdk_messaging": ["py.typed", "*.pyi"],
        "types_boto3_chime_sdk_voice": ["py.typed", "*.pyi"],
        "types_boto3_cleanrooms": ["py.typed", "*.pyi"],
        "types_boto3_cleanroomsml": ["py.typed", "*.pyi"],
        "types_boto3_cloud9": ["py.typed", "*.pyi"],
        "types_boto3_cloudcontrol": ["py.typed", "*.pyi"],
        "types_boto3_clouddirectory": ["py.typed", "*.pyi"],
        "types_boto3_cloudformation": ["py.typed", "*.pyi"],
        "types_boto3_cloudfront": ["py.typed", "*.pyi"],
        "types_boto3_cloudfront_keyvaluestore": ["py.typed", "*.pyi"],
        "types_boto3_cloudhsm": ["py.typed", "*.pyi"],
        "types_boto3_cloudhsmv2": ["py.typed", "*.pyi"],
        "types_boto3_cloudsearch": ["py.typed", "*.pyi"],
        "types_boto3_cloudsearchdomain": ["py.typed", "*.pyi"],
        "types_boto3_cloudtrail": ["py.typed", "*.pyi"],
        "types_boto3_cloudtrail_data": ["py.typed", "*.pyi"],
        "types_boto3_cloudwatch": ["py.typed", "*.pyi"],
        "types_boto3_codeartifact": ["py.typed", "*.pyi"],
        "types_boto3_codebuild": ["py.typed", "*.pyi"],
        "types_boto3_codecatalyst": ["py.typed", "*.pyi"],
        "types_boto3_codecommit": ["py.typed", "*.pyi"],
        "types_boto3_codeconnections": ["py.typed", "*.pyi"],
        "types_boto3_codedeploy": ["py.typed", "*.pyi"],
        "types_boto3_codeguru_reviewer": ["py.typed", "*.pyi"],
        "types_boto3_codeguru_security": ["py.typed", "*.pyi"],
        "types_boto3_codeguruprofiler": ["py.typed", "*.pyi"],
        "types_boto3_codepipeline": ["py.typed", "*.pyi"],
        "types_boto3_codestar_connections": ["py.typed", "*.pyi"],
        "types_boto3_codestar_notifications": ["py.typed", "*.pyi"],
        "types_boto3_cognito_identity": ["py.typed", "*.pyi"],
        "types_boto3_cognito_idp": ["py.typed", "*.pyi"],
        "types_boto3_cognito_sync": ["py.typed", "*.pyi"],
        "types_boto3_comprehend": ["py.typed", "*.pyi"],
        "types_boto3_comprehendmedical": ["py.typed", "*.pyi"],
        "types_boto3_compute_optimizer": ["py.typed", "*.pyi"],
        "types_boto3_config": ["py.typed", "*.pyi"],
        "types_boto3_connect": ["py.typed", "*.pyi"],
        "types_boto3_connect_contact_lens": ["py.typed", "*.pyi"],
        "types_boto3_connectcampaigns": ["py.typed", "*.pyi"],
        "types_boto3_connectcampaignsv2": ["py.typed", "*.pyi"],
        "types_boto3_connectcases": ["py.typed", "*.pyi"],
        "types_boto3_connectparticipant": ["py.typed", "*.pyi"],
        "types_boto3_controlcatalog": ["py.typed", "*.pyi"],
        "types_boto3_controltower": ["py.typed", "*.pyi"],
        "types_boto3_cost_optimization_hub": ["py.typed", "*.pyi"],
        "types_boto3_cur": ["py.typed", "*.pyi"],
        "types_boto3_customer_profiles": ["py.typed", "*.pyi"],
        "types_boto3_databrew": ["py.typed", "*.pyi"],
        "types_boto3_dataexchange": ["py.typed", "*.pyi"],
        "types_boto3_datapipeline": ["py.typed", "*.pyi"],
        "types_boto3_datasync": ["py.typed", "*.pyi"],
        "types_boto3_datazone": ["py.typed", "*.pyi"],
        "types_boto3_dax": ["py.typed", "*.pyi"],
        "types_boto3_deadline": ["py.typed", "*.pyi"],
        "types_boto3_detective": ["py.typed", "*.pyi"],
        "types_boto3_devicefarm": ["py.typed", "*.pyi"],
        "types_boto3_devops_guru": ["py.typed", "*.pyi"],
        "types_boto3_directconnect": ["py.typed", "*.pyi"],
        "types_boto3_discovery": ["py.typed", "*.pyi"],
        "types_boto3_dlm": ["py.typed", "*.pyi"],
        "types_boto3_dms": ["py.typed", "*.pyi"],
        "types_boto3_docdb": ["py.typed", "*.pyi"],
        "types_boto3_docdb_elastic": ["py.typed", "*.pyi"],
        "types_boto3_drs": ["py.typed", "*.pyi"],
        "types_boto3_ds": ["py.typed", "*.pyi"],
        "types_boto3_ds_data": ["py.typed", "*.pyi"],
        "types_boto3_dsql": ["py.typed", "*.pyi"],
        "types_boto3_dynamodb": ["py.typed", "*.pyi"],
        "types_boto3_dynamodbstreams": ["py.typed", "*.pyi"],
        "types_boto3_ebs": ["py.typed", "*.pyi"],
        "types_boto3_ec2": ["py.typed", "*.pyi"],
        "types_boto3_ec2_instance_connect": ["py.typed", "*.pyi"],
        "types_boto3_ecr": ["py.typed", "*.pyi"],
        "types_boto3_ecr_public": ["py.typed", "*.pyi"],
        "types_boto3_ecs": ["py.typed", "*.pyi"],
        "types_boto3_efs": ["py.typed", "*.pyi"],
        "types_boto3_eks": ["py.typed", "*.pyi"],
        "types_boto3_eks_auth": ["py.typed", "*.pyi"],
        "types_boto3_elasticache": ["py.typed", "*.pyi"],
        "types_boto3_elasticbeanstalk": ["py.typed", "*.pyi"],
        "types_boto3_elastictranscoder": ["py.typed", "*.pyi"],
        "types_boto3_elb": ["py.typed", "*.pyi"],
        "types_boto3_elbv2": ["py.typed", "*.pyi"],
        "types_boto3_emr": ["py.typed", "*.pyi"],
        "types_boto3_emr_containers": ["py.typed", "*.pyi"],
        "types_boto3_emr_serverless": ["py.typed", "*.pyi"],
        "types_boto3_entityresolution": ["py.typed", "*.pyi"],
        "types_boto3_es": ["py.typed", "*.pyi"],
        "types_boto3_events": ["py.typed", "*.pyi"],
        "types_boto3_evidently": ["py.typed", "*.pyi"],
        "types_boto3_finspace": ["py.typed", "*.pyi"],
        "types_boto3_finspace_data": ["py.typed", "*.pyi"],
        "types_boto3_firehose": ["py.typed", "*.pyi"],
        "types_boto3_fis": ["py.typed", "*.pyi"],
        "types_boto3_fms": ["py.typed", "*.pyi"],
        "types_boto3_forecast": ["py.typed", "*.pyi"],
        "types_boto3_forecastquery": ["py.typed", "*.pyi"],
        "types_boto3_frauddetector": ["py.typed", "*.pyi"],
        "types_boto3_freetier": ["py.typed", "*.pyi"],
        "types_boto3_fsx": ["py.typed", "*.pyi"],
        "types_boto3_gamelift": ["py.typed", "*.pyi"],
        "types_boto3_gameliftstreams": ["py.typed", "*.pyi"],
        "types_boto3_geo_maps": ["py.typed", "*.pyi"],
        "types_boto3_geo_places": ["py.typed", "*.pyi"],
        "types_boto3_geo_routes": ["py.typed", "*.pyi"],
        "types_boto3_glacier": ["py.typed", "*.pyi"],
        "types_boto3_globalaccelerator": ["py.typed", "*.pyi"],
        "types_boto3_glue": ["py.typed", "*.pyi"],
        "types_boto3_grafana": ["py.typed", "*.pyi"],
        "types_boto3_greengrass": ["py.typed", "*.pyi"],
        "types_boto3_greengrassv2": ["py.typed", "*.pyi"],
        "types_boto3_groundstation": ["py.typed", "*.pyi"],
        "types_boto3_guardduty": ["py.typed", "*.pyi"],
        "types_boto3_health": ["py.typed", "*.pyi"],
        "types_boto3_healthlake": ["py.typed", "*.pyi"],
        "types_boto3_iam": ["py.typed", "*.pyi"],
        "types_boto3_identitystore": ["py.typed", "*.pyi"],
        "types_boto3_imagebuilder": ["py.typed", "*.pyi"],
        "types_boto3_importexport": ["py.typed", "*.pyi"],
        "types_boto3_inspector": ["py.typed", "*.pyi"],
        "types_boto3_inspector_scan": ["py.typed", "*.pyi"],
        "types_boto3_inspector2": ["py.typed", "*.pyi"],
        "types_boto3_internetmonitor": ["py.typed", "*.pyi"],
        "types_boto3_invoicing": ["py.typed", "*.pyi"],
        "types_boto3_iot": ["py.typed", "*.pyi"],
        "types_boto3_iot_data": ["py.typed", "*.pyi"],
        "types_boto3_iot_jobs_data": ["py.typed", "*.pyi"],
        "types_boto3_iot_managed_integrations": ["py.typed", "*.pyi"],
        "types_boto3_iotanalytics": ["py.typed", "*.pyi"],
        "types_boto3_iotdeviceadvisor": ["py.typed", "*.pyi"],
        "types_boto3_iotevents": ["py.typed", "*.pyi"],
        "types_boto3_iotevents_data": ["py.typed", "*.pyi"],
        "types_boto3_iotfleethub": ["py.typed", "*.pyi"],
        "types_boto3_iotfleetwise": ["py.typed", "*.pyi"],
        "types_boto3_iotsecuretunneling": ["py.typed", "*.pyi"],
        "types_boto3_iotsitewise": ["py.typed", "*.pyi"],
        "types_boto3_iotthingsgraph": ["py.typed", "*.pyi"],
        "types_boto3_iottwinmaker": ["py.typed", "*.pyi"],
        "types_boto3_iotwireless": ["py.typed", "*.pyi"],
        "types_boto3_ivs": ["py.typed", "*.pyi"],
        "types_boto3_ivs_realtime": ["py.typed", "*.pyi"],
        "types_boto3_ivschat": ["py.typed", "*.pyi"],
        "types_boto3_kafka": ["py.typed", "*.pyi"],
        "types_boto3_kafkaconnect": ["py.typed", "*.pyi"],
        "types_boto3_kendra": ["py.typed", "*.pyi"],
        "types_boto3_kendra_ranking": ["py.typed", "*.pyi"],
        "types_boto3_keyspaces": ["py.typed", "*.pyi"],
        "types_boto3_kinesis": ["py.typed", "*.pyi"],
        "types_boto3_kinesis_video_archived_media": ["py.typed", "*.pyi"],
        "types_boto3_kinesis_video_media": ["py.typed", "*.pyi"],
        "types_boto3_kinesis_video_signaling": ["py.typed", "*.pyi"],
        "types_boto3_kinesis_video_webrtc_storage": ["py.typed", "*.pyi"],
        "types_boto3_kinesisanalytics": ["py.typed", "*.pyi"],
        "types_boto3_kinesisanalyticsv2": ["py.typed", "*.pyi"],
        "types_boto3_kinesisvideo": ["py.typed", "*.pyi"],
        "types_boto3_kms": ["py.typed", "*.pyi"],
        "types_boto3_lakeformation": ["py.typed", "*.pyi"],
        "types_boto3_lambda": ["py.typed", "*.pyi"],
        "types_boto3_launch_wizard": ["py.typed", "*.pyi"],
        "types_boto3_lex_models": ["py.typed", "*.pyi"],
        "types_boto3_lex_runtime": ["py.typed", "*.pyi"],
        "types_boto3_lexv2_models": ["py.typed", "*.pyi"],
        "types_boto3_lexv2_runtime": ["py.typed", "*.pyi"],
        "types_boto3_license_manager": ["py.typed", "*.pyi"],
        "types_boto3_license_manager_linux_subscriptions": ["py.typed", "*.pyi"],
        "types_boto3_license_manager_user_subscriptions": ["py.typed", "*.pyi"],
        "types_boto3_lightsail": ["py.typed", "*.pyi"],
        "types_boto3_location": ["py.typed", "*.pyi"],
        "types_boto3_logs": ["py.typed", "*.pyi"],
        "types_boto3_lookoutequipment": ["py.typed", "*.pyi"],
        "types_boto3_lookoutmetrics": ["py.typed", "*.pyi"],
        "types_boto3_lookoutvision": ["py.typed", "*.pyi"],
        "types_boto3_m2": ["py.typed", "*.pyi"],
        "types_boto3_machinelearning": ["py.typed", "*.pyi"],
        "types_boto3_macie2": ["py.typed", "*.pyi"],
        "types_boto3_mailmanager": ["py.typed", "*.pyi"],
        "types_boto3_managedblockchain": ["py.typed", "*.pyi"],
        "types_boto3_managedblockchain_query": ["py.typed", "*.pyi"],
        "types_boto3_marketplace_agreement": ["py.typed", "*.pyi"],
        "types_boto3_marketplace_catalog": ["py.typed", "*.pyi"],
        "types_boto3_marketplace_deployment": ["py.typed", "*.pyi"],
        "types_boto3_marketplace_entitlement": ["py.typed", "*.pyi"],
        "types_boto3_marketplace_reporting": ["py.typed", "*.pyi"],
        "types_boto3_marketplacecommerceanalytics": ["py.typed", "*.pyi"],
        "types_boto3_mediaconnect": ["py.typed", "*.pyi"],
        "types_boto3_mediaconvert": ["py.typed", "*.pyi"],
        "types_boto3_medialive": ["py.typed", "*.pyi"],
        "types_boto3_mediapackage": ["py.typed", "*.pyi"],
        "types_boto3_mediapackage_vod": ["py.typed", "*.pyi"],
        "types_boto3_mediapackagev2": ["py.typed", "*.pyi"],
        "types_boto3_mediastore": ["py.typed", "*.pyi"],
        "types_boto3_mediastore_data": ["py.typed", "*.pyi"],
        "types_boto3_mediatailor": ["py.typed", "*.pyi"],
        "types_boto3_medical_imaging": ["py.typed", "*.pyi"],
        "types_boto3_memorydb": ["py.typed", "*.pyi"],
        "types_boto3_meteringmarketplace": ["py.typed", "*.pyi"],
        "types_boto3_mgh": ["py.typed", "*.pyi"],
        "types_boto3_mgn": ["py.typed", "*.pyi"],
        "types_boto3_migration_hub_refactor_spaces": ["py.typed", "*.pyi"],
        "types_boto3_migrationhub_config": ["py.typed", "*.pyi"],
        "types_boto3_migrationhuborchestrator": ["py.typed", "*.pyi"],
        "types_boto3_migrationhubstrategy": ["py.typed", "*.pyi"],
        "types_boto3_mq": ["py.typed", "*.pyi"],
        "types_boto3_mturk": ["py.typed", "*.pyi"],
        "types_boto3_mwaa": ["py.typed", "*.pyi"],
        "types_boto3_neptune": ["py.typed", "*.pyi"],
        "types_boto3_neptune_graph": ["py.typed", "*.pyi"],
        "types_boto3_neptunedata": ["py.typed", "*.pyi"],
        "types_boto3_network_firewall": ["py.typed", "*.pyi"],
        "types_boto3_networkflowmonitor": ["py.typed", "*.pyi"],
        "types_boto3_networkmanager": ["py.typed", "*.pyi"],
        "types_boto3_networkmonitor": ["py.typed", "*.pyi"],
        "types_boto3_notifications": ["py.typed", "*.pyi"],
        "types_boto3_notificationscontacts": ["py.typed", "*.pyi"],
        "types_boto3_oam": ["py.typed", "*.pyi"],
        "types_boto3_observabilityadmin": ["py.typed", "*.pyi"],
        "types_boto3_omics": ["py.typed", "*.pyi"],
        "types_boto3_opensearch": ["py.typed", "*.pyi"],
        "types_boto3_opensearchserverless": ["py.typed", "*.pyi"],
        "types_boto3_opsworks": ["py.typed", "*.pyi"],
        "types_boto3_opsworkscm": ["py.typed", "*.pyi"],
        "types_boto3_organizations": ["py.typed", "*.pyi"],
        "types_boto3_osis": ["py.typed", "*.pyi"],
        "types_boto3_outposts": ["py.typed", "*.pyi"],
        "types_boto3_panorama": ["py.typed", "*.pyi"],
        "types_boto3_partnercentral_selling": ["py.typed", "*.pyi"],
        "types_boto3_payment_cryptography": ["py.typed", "*.pyi"],
        "types_boto3_payment_cryptography_data": ["py.typed", "*.pyi"],
        "types_boto3_pca_connector_ad": ["py.typed", "*.pyi"],
        "types_boto3_pca_connector_scep": ["py.typed", "*.pyi"],
        "types_boto3_pcs": ["py.typed", "*.pyi"],
        "types_boto3_personalize": ["py.typed", "*.pyi"],
        "types_boto3_personalize_events": ["py.typed", "*.pyi"],
        "types_boto3_personalize_runtime": ["py.typed", "*.pyi"],
        "types_boto3_pi": ["py.typed", "*.pyi"],
        "types_boto3_pinpoint": ["py.typed", "*.pyi"],
        "types_boto3_pinpoint_email": ["py.typed", "*.pyi"],
        "types_boto3_pinpoint_sms_voice": ["py.typed", "*.pyi"],
        "types_boto3_pinpoint_sms_voice_v2": ["py.typed", "*.pyi"],
        "types_boto3_pipes": ["py.typed", "*.pyi"],
        "types_boto3_polly": ["py.typed", "*.pyi"],
        "types_boto3_pricing": ["py.typed", "*.pyi"],
        "types_boto3_privatenetworks": ["py.typed", "*.pyi"],
        "types_boto3_proton": ["py.typed", "*.pyi"],
        "types_boto3_qapps": ["py.typed", "*.pyi"],
        "types_boto3_qbusiness": ["py.typed", "*.pyi"],
        "types_boto3_qconnect": ["py.typed", "*.pyi"],
        "types_boto3_qldb": ["py.typed", "*.pyi"],
        "types_boto3_qldb_session": ["py.typed", "*.pyi"],
        "types_boto3_quicksight": ["py.typed", "*.pyi"],
        "types_boto3_ram": ["py.typed", "*.pyi"],
        "types_boto3_rbin": ["py.typed", "*.pyi"],
        "types_boto3_rds": ["py.typed", "*.pyi"],
        "types_boto3_rds_data": ["py.typed", "*.pyi"],
        "types_boto3_redshift": ["py.typed", "*.pyi"],
        "types_boto3_redshift_data": ["py.typed", "*.pyi"],
        "types_boto3_redshift_serverless": ["py.typed", "*.pyi"],
        "types_boto3_rekognition": ["py.typed", "*.pyi"],
        "types_boto3_repostspace": ["py.typed", "*.pyi"],
        "types_boto3_resiliencehub": ["py.typed", "*.pyi"],
        "types_boto3_resource_explorer_2": ["py.typed", "*.pyi"],
        "types_boto3_resource_groups": ["py.typed", "*.pyi"],
        "types_boto3_resourcegroupstaggingapi": ["py.typed", "*.pyi"],
        "types_boto3_robomaker": ["py.typed", "*.pyi"],
        "types_boto3_rolesanywhere": ["py.typed", "*.pyi"],
        "types_boto3_route53": ["py.typed", "*.pyi"],
        "types_boto3_route53_recovery_cluster": ["py.typed", "*.pyi"],
        "types_boto3_route53_recovery_control_config": ["py.typed", "*.pyi"],
        "types_boto3_route53_recovery_readiness": ["py.typed", "*.pyi"],
        "types_boto3_route53domains": ["py.typed", "*.pyi"],
        "types_boto3_route53profiles": ["py.typed", "*.pyi"],
        "types_boto3_route53resolver": ["py.typed", "*.pyi"],
        "types_boto3_rum": ["py.typed", "*.pyi"],
        "types_boto3_s3": ["py.typed", "*.pyi"],
        "types_boto3_s3control": ["py.typed", "*.pyi"],
        "types_boto3_s3outposts": ["py.typed", "*.pyi"],
        "types_boto3_s3tables": ["py.typed", "*.pyi"],
        "types_boto3_sagemaker": ["py.typed", "*.pyi"],
        "types_boto3_sagemaker_a2i_runtime": ["py.typed", "*.pyi"],
        "types_boto3_sagemaker_edge": ["py.typed", "*.pyi"],
        "types_boto3_sagemaker_featurestore_runtime": ["py.typed", "*.pyi"],
        "types_boto3_sagemaker_geospatial": ["py.typed", "*.pyi"],
        "types_boto3_sagemaker_metrics": ["py.typed", "*.pyi"],
        "types_boto3_sagemaker_runtime": ["py.typed", "*.pyi"],
        "types_boto3_savingsplans": ["py.typed", "*.pyi"],
        "types_boto3_scheduler": ["py.typed", "*.pyi"],
        "types_boto3_schemas": ["py.typed", "*.pyi"],
        "types_boto3_sdb": ["py.typed", "*.pyi"],
        "types_boto3_secretsmanager": ["py.typed", "*.pyi"],
        "types_boto3_security_ir": ["py.typed", "*.pyi"],
        "types_boto3_securityhub": ["py.typed", "*.pyi"],
        "types_boto3_securitylake": ["py.typed", "*.pyi"],
        "types_boto3_serverlessrepo": ["py.typed", "*.pyi"],
        "types_boto3_service_quotas": ["py.typed", "*.pyi"],
        "types_boto3_servicecatalog": ["py.typed", "*.pyi"],
        "types_boto3_servicecatalog_appregistry": ["py.typed", "*.pyi"],
        "types_boto3_servicediscovery": ["py.typed", "*.pyi"],
        "types_boto3_ses": ["py.typed", "*.pyi"],
        "types_boto3_sesv2": ["py.typed", "*.pyi"],
        "types_boto3_shield": ["py.typed", "*.pyi"],
        "types_boto3_signer": ["py.typed", "*.pyi"],
        "types_boto3_simspaceweaver": ["py.typed", "*.pyi"],
        "types_boto3_sms": ["py.typed", "*.pyi"],
        "types_boto3_sms_voice": ["py.typed", "*.pyi"],
        "types_boto3_snow_device_management": ["py.typed", "*.pyi"],
        "types_boto3_snowball": ["py.typed", "*.pyi"],
        "types_boto3_sns": ["py.typed", "*.pyi"],
        "types_boto3_socialmessaging": ["py.typed", "*.pyi"],
        "types_boto3_sqs": ["py.typed", "*.pyi"],
        "types_boto3_ssm": ["py.typed", "*.pyi"],
        "types_boto3_ssm_contacts": ["py.typed", "*.pyi"],
        "types_boto3_ssm_incidents": ["py.typed", "*.pyi"],
        "types_boto3_ssm_quicksetup": ["py.typed", "*.pyi"],
        "types_boto3_ssm_sap": ["py.typed", "*.pyi"],
        "types_boto3_sso": ["py.typed", "*.pyi"],
        "types_boto3_sso_admin": ["py.typed", "*.pyi"],
        "types_boto3_sso_oidc": ["py.typed", "*.pyi"],
        "types_boto3_stepfunctions": ["py.typed", "*.pyi"],
        "types_boto3_storagegateway": ["py.typed", "*.pyi"],
        "types_boto3_sts": ["py.typed", "*.pyi"],
        "types_boto3_supplychain": ["py.typed", "*.pyi"],
        "types_boto3_support": ["py.typed", "*.pyi"],
        "types_boto3_support_app": ["py.typed", "*.pyi"],
        "types_boto3_swf": ["py.typed", "*.pyi"],
        "types_boto3_synthetics": ["py.typed", "*.pyi"],
        "types_boto3_taxsettings": ["py.typed", "*.pyi"],
        "types_boto3_textract": ["py.typed", "*.pyi"],
        "types_boto3_timestream_influxdb": ["py.typed", "*.pyi"],
        "types_boto3_timestream_query": ["py.typed", "*.pyi"],
        "types_boto3_timestream_write": ["py.typed", "*.pyi"],
        "types_boto3_tnb": ["py.typed", "*.pyi"],
        "types_boto3_transcribe": ["py.typed", "*.pyi"],
        "types_boto3_transfer": ["py.typed", "*.pyi"],
        "types_boto3_translate": ["py.typed", "*.pyi"],
        "types_boto3_trustedadvisor": ["py.typed", "*.pyi"],
        "types_boto3_verifiedpermissions": ["py.typed", "*.pyi"],
        "types_boto3_voice_id": ["py.typed", "*.pyi"],
        "types_boto3_vpc_lattice": ["py.typed", "*.pyi"],
        "types_boto3_waf": ["py.typed", "*.pyi"],
        "types_boto3_waf_regional": ["py.typed", "*.pyi"],
        "types_boto3_wafv2": ["py.typed", "*.pyi"],
        "types_boto3_wellarchitected": ["py.typed", "*.pyi"],
        "types_boto3_wisdom": ["py.typed", "*.pyi"],
        "types_boto3_workdocs": ["py.typed", "*.pyi"],
        "types_boto3_workmail": ["py.typed", "*.pyi"],
        "types_boto3_workmailmessageflow": ["py.typed", "*.pyi"],
        "types_boto3_workspaces": ["py.typed", "*.pyi"],
        "types_boto3_workspaces_thin_client": ["py.typed", "*.pyi"],
        "types_boto3_workspaces_web": ["py.typed", "*.pyi"],
        "types_boto3_xray": ["py.typed", "*.pyi"],
    },
    python_requires=">=3.8",
    project_urls={
        "Documentation": "https://youtype.github.io/types_boto3_docs/",
        "Source": "https://github.com/youtype/mypy_boto3_builder",
        "Tracker": "https://github.com/youtype/mypy_boto3_builder/issues",
    },
    install_requires=['typing-extensions; python_version<"3.12"'],
    zip_safe=False,
)
